summaryrefslogtreecommitdiff
path: root/Meta/lint-python.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Meta/lint-python.sh')
-rwxr-xr-xMeta/lint-python.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/Meta/lint-python.sh b/Meta/lint-python.sh
index 790f2035e1..494c2a7bc2 100755
--- a/Meta/lint-python.sh
+++ b/Meta/lint-python.sh
@@ -5,11 +5,6 @@ set -e
script_path=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
cd "${script_path}/.." || exit 1
-if ! command -v flake8 >/dev/null 2>&1 ; then
- echo "flake8 is not available. Either skip this script, or install flake8."
- exit 1
-fi
-
if [ "$#" -eq "0" ]; then
mapfile -t files < <(
git ls-files '*.py'
@@ -24,6 +19,11 @@ else
fi
if (( ${#files[@]} )); then
+ if ! command -v flake8 >/dev/null 2>&1 ; then
+ echo "flake8 is not available, but python files need linting! Either skip this script, or install flake8."
+ exit 1
+ fi
+
flake8 "${files[@]}" --max-line-length=120
else
echo "No py files to check."